unit UUpdateChecker;

interface

uses
  Classes, idhttp, ProxyInfo, IdCompressorZLibEX, Windows;

const
  urlLATEST = 'http://www.wc3banlist.com/latest';
  urlLATESTVERSION = 'http://www.wc3banlist.com/latestchanges';

type
  UpdateChecker = class(TThread)
  private
    { Private-Deklarationen }
  protected
    procedure Execute; override;
  end;

implementation

uses Unit1;

{ UpdateChecker }

procedure UpdateChecker.Execute;
var
  proxy: string;
  port: integer;
  IdHTTP1: TIdHTTP;
  IdCompressorZlibEx1: TIdCompressorZLibEx;
begin
  Sleep(5000);
  IdHTTP1 := tidhttp.create(nil);
  IdCompressorZlibEx1 := TIdCompressorZLibEx.Create;
  IdHTTP1.Compressor := IdCompressorZlibEx1;
  IdHTTP1.Request.AcceptEncoding := 'gzip, deflate, ';
  if WC3Banlist_Main.chkproxy.Checked then
  begin
    getproxyserver('http', proxy, port);
    IdHTTP1.ProxyParams.ProxyServer := proxy;
    IdHTTP1.ProxyParams.ProxyPort := port;
  end
  else
  begin
    IdHTTP1.ProxyParams.ProxyServer := '';
    IdHTTP1.ProxyParams.ProxyPort := 0;
  end;
  try
    latestVersion := IdHTTP1.Get(urlLATEST);
    if (IdHTTP1.Response.ResponseCode = 200) and
      (latestVersion > CURRENT_VERSION) then begin
      latestChanges := IdHTTP1.Get(urlLATESTVERSION);
      if (IdHTTP1.Response.ResponseCode = 200) then
        PostMessage(WC3Banlist_Main.Handle, WM_NEWVERSION, 0, 0);
    end;
  finally
    IdHTTP1.Free;
    IdCompressorZlibEx1.Free;
  end;
end;

end.
