﻿<?xml version="1.0" encoding="UTF-8"?>

<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
  <head>
    <title>WC3Banlist Chatlog (Debug Mode)</title>
    <link type="text/css" rel="stylesheet" href="debug.css" media="screen" />
  </head>
  <body>
    <xsl:for-each select="//message">
      <xsl:choose>
        <xsl:when test="@type='error'">
          <div>
            <p><xsl:value-of select="time"/></p>
            <h1><strong>Error: </strong><xsl:value-of select="text"/></h1>
            <h2><strong>Job: </strong><xsl:value-of select="debug/job"/></h2>  
            <pre><xsl:value-of select="debug/data"/></pre>
          </div>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </body>
</html>
</xsl:template>

</xsl:transform>