unit HotKeyTestForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, HotKeyReceiver, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Timer1: TTimer;
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }

  end;

var
  Form1: TForm1;
  HKRec: THotKeyReceiver;


implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
  HKRec := THotKeyReceiver.Create;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  List: TList;
  i: DWORD;
  HotKey: PHotKeyData;
  s: string;
begin
  List := HKRec.ThreadList.LockList;
  if List.Count > 0 then begin
    for i := 0 to List.Count - 1 do begin
      HotKey := List.Items[i];
      case HotKey^.Key of
        VK_F2: s := 'F2';
        VK_F3: s := 'F3';
        VK_F4: s := 'F4';
        VK_F5: s := 'F5';
        VK_F6: s := 'F6';
        VK_F7: s := 'F7';
        VK_F8: s := 'F8';
        VK_F9: s := 'F9';
      end;
      ListBox1.Items.Add('ProcessID: ' + IntToStr(HotKey^.ProcessID) +
        '; ThreadID: ' + IntToStr(HotKey^.ThreadID) +
        '; Key: ' + s);
      Dispose(HotKey);
    end;
    List.Clear;
  end;
  HKRec.ThreadList.UnlockList;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  HKRec.Free;
end;

end.

