unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Pinger, PingThread, StdCtrls, raw_ping;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Memo2: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure PingsDone;
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  p: TPinger;
  t: Cardinal;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  ip: Cardinal;
  I: Integer;
begin
  p := TPinger.Create;

  timeout := 100;
  p.Done := PingsDone;
  for i := 0 to memo1.Lines.Count - 1 do
  begin
    try
      TranslateStringToTInAddr(memo1.Lines[i], ip);
      p.AddJob(memo1.lines[i], ip);
    except
    end;
  end;
  memo2.lines.add('Pinge...');
  t := GetTickCount;
  p.PingAll;
end;

procedure TForm1.PingsDone;
var
  i: Integer;
begin
  memo2.lines.add(Format('Fertig nach %d ms.', [GetTickCount - t]));
  for i := 0 to p.jobs.Count - 1 do
  begin
    Memo2.Lines.Add(Format('%s: %d ms', [PPingJob(p.jobs[i])^.name, PPingJob(p.jobs[i])^.ping]));
  end;
  p.Free;
end;

end.
