unit PingThread;

interface

uses
  Classes, raw_ping, SysUtils, Pinger;

type
  TPingJob = record
    name: string[30];
    ip: longword;
    ping: integer;
  end;

  PPingJob = ^TPingJob;

  TPingThread = class(TThread)
  private
    { Private-Deklarationen }
  protected
    procedure Execute; override;
  public
    job: PPingJob;
    parent: TPinger;
  end;

implementation

{ TPingThread }

procedure TPingThread.Execute;
var
  ms: integer;
begin
  ms := ping(job^.ip);
  job^.ping := ms;
  Synchronize(parent.JobDone);
end;

end.
