unit UfrmBanlistExchangeWnd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, inifile, ExtCtrls, UListContainer;

type
  TBanlistExchangeWnd = class(TForm)
    pnRoot: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    lvNew: TListView;
    btnOK: TButton;
    btnCancel: TButton;
    Label4: TLabel;
    edComment: TEdit;
    procedure btnCancelClick(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  BanlistExchangeWnd: TBanlistExchangeWnd;

implementation

uses Unit1;

{$R *.dfm}

procedure TBanlistExchangeWnd.btnCancelClick(Sender: TObject);
begin
  close;
end;

procedure TBanlistExchangeWnd.btnOKClick(Sender: TObject);
var
  i: integer;
  comment: String;
  ban: PBan;
begin
  if edComment.Text <> '' then
    comment := ' ' + edComment.Text
  else
    comment := '';
  for i := 0 to lvNew.items.count - 1 do
    if lvNew.items[i].Checked then
      with lvNew do begin
        new(ban);
        ban^.nick := items[i].caption;
        ban^.comment :=  Trim(items[i].subitems[0] + comment);
        ban^.deleted := false;
        ban^.lastChange := now;
        ListContainer.banlist.AddEntry(ban);
      end;
  WC3Banlist_Main.RefreshLocalDatabase;
  WC3Banlist_Main.pages.ActivePage := WC3Banlist_Main.tabDatabase;
  close;
end;

procedure TBanlistExchangeWnd.FormShow(Sender: TObject);
begin
  SetFormFont(self, defaultFont);
  if exchangeip <> '' then
    label2.Caption := 'Your friend with the IP ' + exchangeip +
      ' sent you his/her banlist!';
  self.BringToFront;
  lvNew.Columns[1].Width := 180;
  lvNew.Columns[1].Width := -2;
end;

procedure TBanlistExchangeWnd.FormCreate(Sender: TObject);
begin
  SetFormFont(self, defaultFont);
end;

end.
