unit UfrmEditAdd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, WC3Types, IniFile;

type
  TfrmEditAdd = class(TForm)
    Panel: TPanel;
    lblNick: TLabel;
    lblComment: TLabel;
    lblCustomComment: TLabel;
    edtNick: TEdit;
    edtComment: TEdit;
    lvCC: TListView;
    btnOK: TButton;
    btnCancel: TButton;
    procedure FormShow(Sender: TObject);
    procedure lvCCClick(Sender: TObject);
    procedure edtCommentKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure edtNickChange(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmEditAdd: TfrmEditAdd;

implementation

uses unit1;

{$R *.dfm}

procedure TfrmEditAdd.FormShow(Sender: TObject);
begin
  lvCC.Items.Assign(WC3Banlist_Main.lvComments.Items);
  lvCC.Selected := nil;
  if edtNick.Text = '' then
    edtNick.SetFocus
  else
  begin
    edtComment.SetFocus;
    edtComment.SelectAll;
  end;
end;

procedure TfrmEditAdd.lvCCClick(Sender: TObject);
var
  l: TListItem;
  s: String;
begin
  l := lvCC.Selected;
  if l = nil then exit;
  s := l.SubItems[0];
  WC3Banlist_Main.SubstituteComments(s, edtNick.Text);
  edtComment.Text := s;
end;

procedure TfrmEditAdd.edtCommentKeyPress(Sender: TObject; var Key: Char);
begin
  lvCC.Selected := nil;
end;

procedure TfrmEditAdd.FormCreate(Sender: TObject);
begin
  SetFormFont(self, defaultFont, defaultFontSize);
end;

procedure TfrmEditAdd.edtNickChange(Sender: TObject);
begin
  btnOK.Enabled := CheckNicknameSpelling(edtNick.Text) and (length(edtNick.text) <= 15);
end;

procedure TfrmEditAdd.FormHide(Sender: TObject);
begin
  edtNick.Enabled := true;
end;

end.
