program WC3Banlist;

uses
  madExcept,
  madLinkDisAsm,
  madListHardware,
  madListProcesses,
  madListModules,
  Forms,
  Diagnosis in 'Diagnosis.pas' {frmDiagnosis},
  GameData in 'GameData.pas',
  hookdefs in 'hookdefs.pas',
  OSVersion in 'OSVersion.pas',
  PacketKeeper in 'PacketKeeper.pas',
  PhraseKeeper in 'PhraseKeeper.pas',
  Pinger in 'Pinger.pas',
  PingThread in 'PingThread.pas',
  PlayerInfo in 'PlayerInfo.pas',
  ProxyInfo in 'ProxyInfo.pas',
  raw_ping in 'raw_ping.pas',
  RealmThread in 'RealmThread.pas',
  ServerList in 'ServerList.pas',
  StringCache in 'StringCache.pas',
  UColorMapping in 'UColorMapping.pas',
  UCountryCache in 'UCountryCache.pas',
  UMessageCenter in 'UMessageCenter.pas',
  Unit1 in 'Unit1.pas' {WC3Banlist_Main},
  Unit3 in 'Unit3.pas',
  Unit4 in 'Unit4.pas',
  UfrmLog in 'UfrmLog.pas' {frmLog},
  UPacket in 'UPacket.pas',
  WC3Types in 'WC3Types.pas',
  WebAccess in 'WebAccess.pas',
  Zniffer in 'Zniffer.pas',
  HotKeyReceiver in '..\keyhook\sources\HotKeyReceiver.pas',
  ULoginData in 'ULoginData.pas' {LoginData},
  UUpdateChecker in 'UUpdateChecker.pas',
  UfrmUpdate in 'UfrmUpdate.pas' {frmUpdate},
  UReserve in 'UReserve.pas',
  URestore in 'URestore.pas' {frmRestore},
  IniFile in 'IniFile.pas',
  History in 'History.pas',
  SelectDirectory in 'SelectDirectory.pas',
  UfrmEditAdd in 'UfrmEditAdd.pas' {frmEditAdd},
  UListContainer in 'UListContainer.pas',
  UfrmColorExplanations in 'UfrmColorExplanations.pas' {frmColorExplanations},
  UfrmDetector in 'UfrmDetector.pas' {frmNICDetector},
  UfrmGameReview in 'UfrmGameReview.pas' {frmGameReview},
  Wizard in 'Wizard.pas' {WizardForm},
  UMapInfo in 'UMapInfo.pas',
  UAutoRefresh in 'UAutoRefresh.pas',
  UExeFromWnd in 'UExeFromWnd.pas',
  Windows,
  ULatency in 'ULatency.pas',
  ULatencyPlots in 'ULatencyPlots.pas' {frmLatencyPlots},
  FiveNum in '..\plots\FiveNum.pas',
  PingPlotDrawer in '..\plots\PingPlotDrawer.pas',
  UIPToCountry in 'UIPToCountry.pas',
  TCPSend in 'TCPSend.pas',
  uVistaFuncs in 'UVistaFuncs.pas',
  OneInst in 'OneInst.pas',
  IniObject in 'IniObject.pas';

{$R *.res}

begin
//  MemChk;
  Application.Initialize;
  ShowWindow(Application.Handle, SW_HIDE);
  SetWindowLong(Application.Handle, GWL_EXSTYLE,
    GetWindowLong(Application.Handle, GWL_EXSTYLE) and not WS_EX_APPWINDOW
    or WS_EX_TOOLWINDOW);
  ShowWindow(Application.Handle, SW_SHOW);
  Application.Title := 'WC3Banlist';
  Application.CreateForm(TWC3Banlist_Main, WC3Banlist_Main);
  Application.CreateForm(TfrmDiagnosis, frmDiagnosis);
  Application.CreateForm(TfrmLog, frmLog);
  Application.CreateForm(TfrmRestore, frmRestore);
  Application.CreateForm(TfrmEditAdd, frmEditAdd);
  Application.CreateForm(TfrmColorExplanations, frmColorExplanations);
  Application.CreateForm(TfrmGameReview, frmGameReview);
  Application.CreateForm(TfrmLatencyPlots, frmLatencyPlots);
  Application.Run;
end.
